astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Models and Fitting (`astropy.modeling`) »
- FittableModel

# FittableModel

class `astropy.modeling.``FittableModel`

  Bases: `astropy.modeling.Model`

  Base class for models that can be fitted using the built-in fitting algorithms.

  Attributes Summary

  `col_fit_deriv` |
  `fit_deriv` | Function (similar to the model’s `evaluate`) to compute the derivatives of the model with respect to its parameters, for use by fitting algorithms.
  `fittable` |
  `linear` |

  Attributes Documentation

  `col_fit_deriv` = True
  `fit_deriv` = None

    Function (similar to the model’s `evaluate`) to compute the derivatives of the model with respect to its parameters, for use by fitting algorithms. In other words, this computes the Jacobian matrix with respect to the model’s parameters.

  `fittable` = True
  `linear` = False